---
title: "Assign prospects to an Engage flow"
slug: "assign-prospects-contacts-or-leads-to-an-engage-flow-v2flowsprospectsassign-1"
updated: 2025-11-17T08:10:53Z
published: 2025-11-17T08:12:09Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign prospects (contacts or leads) to an Engage flow  (/v2/flows/prospects/assign)

Post/v2/flows/prospects/assign

Use this endpoint to assign a number of prospects to a flow. Prospects can be contacts or leads in your CRM.

Generate a list of comma separated CRM Ids of the prospects you want to add to a flow. The flowInstanceOwnerEmail parameter is the email address of the Gong user who set up the flow instance and owns the flow to-dos.

You can assign up to 200 prospects to a flow in a single request.

Required authorizaton scope: 'api:flows:write'.

Body parameters<select class='api-response-data' aria-label='Media type'><option value='73130174-92a9-4728-9942-5daaaeeb0be5'>application/json</option>
</select>object  

Flow assignment parameters.

crmProspectsIds Array of string   Required

The CRM IDs of the contact or lead that should be assigned to a flow

Example[
  "a5V1Q00A120DP4CVAW"
]string    

The CRM IDs of the contact or lead that should be assigned to a flow

Example["a5V1Q00A120DP4CVAW"]
flowIdstring    Required

The Engage Flow ID to assign the contacts to.

Example1695493301223590792
flowInstanceOwnerEmailstring    Required

The email of the Gong user who owns the flow to-dos.

Exampletest@test.com

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='6969cffd-d91e-465a-837f-ee2cbd6fdf88'>application/json</option>
</select>Expand Allobject  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
prospectsAssigned Array of object (PublicApiAssignedFlow)   object  flowIdstring    

The Gong Engage Flow ID the prospect was assigned to.

Example1695493301223590792
flowNamestring    

The Gong Engage Flow name the prospect was assigned to.

ExampleSDR Flow
crmProspectIdstring    

The CRM ID of the prospect that was assigned to a Gong Engage flow.

Examplea5V1Q00A120DP4CVAW
flowInstanceIdstring    

The newly created flow instance id.

Example1234361284629356
flowInstanceOwnerEmailstring    

The email address of the Gong user who owns the flow instance tasks.

Exampletest@test.com
flowInstanceOwnerFullNamestring    

The full name of the Gong user who owns the flow instance tasks.

ExampleTest User
flowInstanceCreateDatestring    

The creation date of the flow instance in the ISO-8601 format, for example: '2024-01-17T16:20:05-03:00' or '2016-02-16T03:57:04.834+05:30' or '2020-11-20T21:30:07.233692Z', where Z stands for UTC.

Example2019-01-20T00:00:00-08:00
flowInstanceStatusstring    

The status of the flow instance.

Valid values[
  "Running",
  "Pending",
  "Paused"
]ExampleRunning
workspaceIdstring    

The workspace ID this flow belongs to.

Example623457276584334
exclusiveboolean    

Indicates whether a prospect in this flow can be added to other flows

Exampletrue

prospectsNotAssigned Array of object (AssignedFlowFailure)   object  flowIdstring    

The flow ID to which the assignment failed

Example1695493301223590792
crmProspectIdstring    

The CRM ID of the prospect that failed to get assigned to a Gong Engage flow.

Examplea5V1Q00A120DP4CVAW
errorCodestring    

The code of the assignment error

Valid values[
  "InvalidArgument",
  "InvalidState",
  "UnexpectedError"
]ExampleInvalidArgument
errorMessagestring    

A message describing the assignment error

ExampleInvalid crmId <not-a-crm-id>

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='7f86f849-71e3-4ee8-953c-40fd8d5ea842'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='29aca5a5-16ff-4db2-88da-8865c12e2077'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

403

Forbidden

<select class='api-response-data' aria-label='Media type'><option value='e3a05f24-8efd-47d5-8863-3fcc0ebf4090'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

429

API request limit exceeded

HeadersRetry-AfterintegerNumber of seconds to wait before making a new request.
<select class='api-response-data' aria-label='Media type'><option value='1609d397-8e88-4d07-bd2a-c4db3e37dc82'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='52be2220-c852-443f-a7f5-9c3df8f4c4c7'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
